JDOMFactory (JDOM v1.1.1)
Keywords: org.jdom.JDOMFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Interface JDOMFactory

All Known Implementing Classes:
  DefaultJDOMFactory, UncheckedJDOMFactory

    public interface JDOMFactory

An interface to be used by builders when constructing JDOM objects. The `DefaultJDOMFactory` creates the standard top-level JDOM classes (Element, Document, Comment, etc). Another implementation of this factory could be used to create custom classes.

Version:
  $Revision: 1.9 $, $Date: 2007/11/10 05:28:59 $
Author:
  Ken Rune Holland, Phil Nelson, Bradley S. Huffman

Method Summary
`void` | `addContent(Parent parent, Content content)`
`void` | `addNamespaceDeclaration(Element element, Namespace additional)`
`Attribute` | `attribute(java.lang.String name, java.lang.String value)` This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.
`Attribute` | `attribute(java.lang.String name, java.lang.String value, int type)` This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a ``Namespace``.
`Attribute` | `attribute(java.lang.String name, java.lang.String value, int type, Namespace namespace)` This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided ``Namespace``.
`Attribute` | `attribute(java.lang.String name, java.lang.String value, Namespace namespace)` This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.
`CDATA` | `cdata(java.lang.String str)` This creates the CDATA with the supplied text.
`Comment` | `comment(java.lang.String text)` This creates the comment with the supplied text.
`DocType` | `docType(java.lang.String elementName)` This will create the `DocType` with the specified element name
`DocType` | `docType(java.lang.String elementName, java.lang.String systemID)` This will create the `DocType` with the specified element name and reference to an external DTD.
`DocType` | `docType(java.lang.String elementName, java.lang.String publicID, java.lang.String systemID)` This will create the `DocType` with the specified element name and a reference to an external DTD.
`Document` | `document(Element rootElement)` This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.
`Document` | `document(Element rootElement, DocType docType)` This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
`Document` | `document(Element rootElement, DocType docType, java.lang.String baseURI)` This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
`Element` | `element(java.lang.String name)` This will create an `Element` in no ``Namespace``.
`Element` | `element(java.lang.String name, Namespace namespace)` This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.
`Element` | `element(java.lang.String name, java.lang.String uri)` This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).
`Element` | `element(java.lang.String name, java.lang.String prefix, java.lang.String uri)` This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.
`EntityRef` | `entityRef(java.lang.String name)` This will create a new `EntityRef` with the supplied name.
`EntityRef` | `entityRef(java.lang.String name, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name and system ID.
`EntityRef` | `entityRef(java.lang.String name, java.lang.String publicID, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name, public ID, and system ID.
`ProcessingInstruction` | `processingInstruction(java.lang.String target, java.util.Map data)` This will create a new `ProcessingInstruction` with the specified target and data.
`ProcessingInstruction` | `processingInstruction(java.lang.String target, java.lang.String data)` This will create a new `ProcessingInstruction` with the specified target and data.
`void` | `setAttribute(Element element, Attribute a)`
`Text` | `text(java.lang.String str)` This creates the Text with the supplied text.

Method Detail

### attribute

    Attribute attribute(java.lang.String name,
                        java.lang.String value,
                        Namespace namespace)

  This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### attribute

    Attribute attribute(java.lang.String name,
                        java.lang.String value,
                        int type,
                        Namespace namespace)

  This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided ``Namespace``.

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.
    `type` - `int` type for new attribute.
    `namespace` - `Namespace` namespace for new attribute.

### attribute

    Attribute attribute(java.lang.String name,
                        java.lang.String value)

  This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### attribute

    Attribute attribute(java.lang.String name,
                        java.lang.String value,
                        int type)

  This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a ``Namespace``.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.
    `type` - `int` type for new attribute.

### cdata

    CDATA cdata(java.lang.String str)

  This creates the CDATA with the supplied text.

  Parameters:
    `str` - `String` content of CDATA.

### text

    Text text(java.lang.String str)

  This creates the Text with the supplied text.

  Parameters:
    `str` - `String` content of Text.

### comment

    Comment comment(java.lang.String text)

  This creates the comment with the supplied text.

  Parameters:
    `text` - `String` content of comment.

### docType

    DocType docType(java.lang.String elementName,
                    java.lang.String publicID,
                    java.lang.String systemID)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

  Parameters:
    `elementName` - `String` name of element being constrained.
    `publicID` - `String` public ID of referenced DTD
    `systemID` - `String` system ID of referenced DTD

### docType

    DocType docType(java.lang.String elementName,
                    java.lang.String systemID)

  This will create the `DocType` with the specified element name and reference to an external DTD.

  Parameters:
    `elementName` - `String` name of element being constrained.
    `systemID` - `String` system ID of referenced DTD

### docType

    DocType docType(java.lang.String elementName)

  This will create the `DocType` with the specified element name

  Parameters:
    `elementName` - `String` name of element being constrained.

### document

    Document document(Element rootElement,
                      DocType docType)

  This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.

  Parameters:
    `rootElement` - `Element` for document root.
    `docType` - `DocType` declaration.

### document

    Document document(Element rootElement,
                      DocType docType,
                      java.lang.String baseURI)

  This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.

  Parameters:
    `rootElement` - `Element` for document root.
    `docType` - `DocType` declaration.
    `baseURI` - the URI from which this doucment was loaded.

### document

    Document document(Element rootElement)

  This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.

  Parameters:
    `rootElement` - `Element` for document root

### element

    Element element(java.lang.String name,
                    Namespace namespace)

  This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.

  Parameters:
    `name` - `String` name of element.
    `namespace` - `Namespace` to put element in.

### element

    Element element(java.lang.String name)

  This will create an `Element` in no ``Namespace``.

  Parameters:
    `name` - `String` name of element.

### element

    Element element(java.lang.String name,
                    java.lang.String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).

  Parameters:
    `name` - `String` name of element.
    `uri` - `String` URI for `Namespace` element should be in.

### element

    Element element(java.lang.String name,
                    java.lang.String prefix,
                    java.lang.String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.

  Parameters:
    `name` - `String` name of element.
    `uri` - `String` URI for `Namespace` element should be in.

### processingInstruction

    ProcessingInstruction processingInstruction(java.lang.String target,
                                                java.util.Map data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    `target` - `String` target of PI.
    `data` - `Map` data for PI, in name/value pairs

### processingInstruction

    ProcessingInstruction processingInstruction(java.lang.String target,
                                                java.lang.String data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    `target` - `String` target of PI.
    `data` - `String` data for PI.

### entityRef

    EntityRef entityRef(java.lang.String name)

  This will create a new `EntityRef` with the supplied name.

  Parameters:
    `name` - `String` name of element.

### entityRef

    EntityRef entityRef(java.lang.String name,
                        java.lang.String publicID,
                        java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name, public ID, and system ID.

  Parameters:
    `name` - `String` name of element.
    `publicID` - `String` public ID of element.
    `systemID` - `String` system ID of element.

### entityRef

    EntityRef entityRef(java.lang.String name,
                        java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name and system ID.

  Parameters:
    `name` - `String` name of element.
    `systemID` - `String` system ID of element.

### addContent

    void addContent(Parent parent,
                    Content content)

### setAttribute

    void setAttribute(Element element,
                      Attribute a)

### addNamespaceDeclaration

    void addNamespaceDeclaration(Element element,
                                 Namespace additional)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.